Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Mar 2016 18:41:17 -0400

> non-essential is essential for Tramp only until the completion of method
> and host is finished. As soon as the filename contains two colons, or a
> slash, it completes. No problem with your example, therefore. You'll get 
> "/ssh:myhost:src/emacs/" after hitting TAB, even if non-essential is
> bound to t.

If the connection was not yet established, I think it'd be risky for
Tramp to provide the completion when non-essential is non-nil, because
establishing a connection risks being too intrusive for a non-essential
operation (it's probably OK to reuse an existing connection, OTOH).

        Stefan